From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/wcmatch/
Date: Thu, 16 May 2024 03:50:03 +0000 (UTC) [thread overview]
Message-ID: <1715831398.b1c0baa3fda31e556ce8063f377db90334d4765a.mgorny@gentoo> (raw)
commit: b1c0baa3fda31e556ce8063f377db90334d4765a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 16 03:44:01 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 16 03:49:58 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1c0baa3
dev-python/wcmatch: Bump to 8.5.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wcmatch/Manifest | 1 +
dev-python/wcmatch/wcmatch-8.5.2.ebuild | 61 +++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 9e1a9ccab3ab..69523c887f81 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1,2 @@
DIST wcmatch-8.5.1.gh.tar.gz 117483 BLAKE2B db4d77651ab4fc6692c746d94dda68dc0fcdfe72a6e3b512b4f60a1bd5bf7015e21349d022c6ec17ea2bbc55ae87cf6c9a3690d9b6774f02a167b4b0ad65b691 SHA512 10ab7d76ad7c71efb2639e2d439593a45339f485f1f628770ae845c291c34d0e3fc8a9b75b6ce6d3c131c1f0a521f3aafcadc7d24ffad5284e9db06dc5838974
+DIST wcmatch-8.5.2.gh.tar.gz 117532 BLAKE2B f01ce989d1580da6575535a3c025aa50defe779ca723359dab379dda1c4c98d812343773d0130c56f8ebf74dae4472caa188b4b7b323f2df09686ebba297fa9a SHA512 1a79940bc54996f587dda6aacefee212adb4d527be68cc7b762e7e16c0796ebd833bdeb5abe6f48fa3d6d82f720ade054633ce28ee506b17c4d89cccffaa8e70
diff --git a/dev-python/wcmatch/wcmatch-8.5.2.ebuild b/dev-python/wcmatch/wcmatch-8.5.2.ebuild
new file mode 100644
index 000000000000..67f86264c16d
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.5.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=hatchling
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ >=dev-python/mkdocs-pymdownx-material-extras-2.0
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/
+"
+SRC_URI="
+ https://github.com/facelessuser/wcmatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/bracex-2.1.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2024-05-16 3:50 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-16 3:50 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-12 6:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/wcmatch/ Sam James
2024-09-27 6:32 Michał Górny
2024-08-24 13:11 Michał Górny
2024-08-24 9:24 Arthur Zamarin
2024-08-04 2:48 Michał Górny
2024-06-21 19:04 Michał Górny
2024-06-01 8:09 Michał Górny
2024-06-01 7:30 Arthur Zamarin
2024-03-07 17:12 Michał Górny
2024-03-07 17:09 Michał Górny
2024-02-21 4:45 Michał Górny
2023-10-06 18:12 Michał Górny
2023-10-06 17:05 Arthur Zamarin
2023-08-31 13:22 Michał Górny
2023-04-14 19:43 Sam James
2023-04-14 4:04 Sam James
2023-04-09 20:40 Andrew Ammerlaan
2023-02-25 5:47 Arthur Zamarin
2023-01-14 10:00 Arthur Zamarin
2022-10-24 10:24 Michał Górny
2022-10-24 7:19 Joonas Niilola
2022-09-22 10:55 Andrew Ammerlaan
2022-07-02 16:11 Michał Górny
2022-07-02 16:05 Jakov Smolić
2022-05-31 6:18 Michał Górny
2022-05-17 12:20 Andrew Ammerlaan
2022-01-10 12:28 Michał Górny
2022-01-10 11:25 Arthur Zamarin
2021-11-03 6:43 Michał Górny
2021-10-17 9:41 Michał Górny
2021-09-23 15:35 Marek Szuba
2021-07-15 7:38 Agostino Sarubbo
2021-05-22 20:55 Andrew Ammerlaan
2021-05-22 7:58 Michał Górny
2021-05-22 7:58 Michał Górny
2021-03-10 10:38 Michał Górny
2021-02-10 8:52 Michał Górny
2021-02-08 22:36 Michał Górny
2021-01-22 9:55 Michał Górny
2021-01-21 9:12 Michał Górny
2021-01-02 23:18 Michał Górny
2021-01-02 23:18 Michał Górny
2020-12-08 5:53 Joonas Niilola
2020-12-08 5:53 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715831398.b1c0baa3fda31e556ce8063f377db90334d4765a.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox